Skip to main content
POST
/
v1
/
query
Query
curl --request POST \
  --url https://api.ontora.com/v1/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "prompt": "<string>",
  "vault_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "depth": 2,
  "top_k_chunks": 20,
  "include_deals": false,
  "include_meetings": false,
  "include_claims": false
}
'
{
  "answer": "<string>",
  "citations": [
    {
      "url": "<string>",
      "title": "<string>",
      "quote": "<string>",
      "document_id": "<string>",
      "chunk_id": "<string>",
      "source_type": "<string>"
    }
  ],
  "entities_mentioned": [],
  "related_deals": [],
  "related_meetings": [],
  "claims_used": [],
  "debug": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
workspace_id
string<uuid>
required
prompt
string
required
vault_ids
string<uuid>[] | null
depth
integer
default:2
top_k_chunks
integer
default:20
include_deals
boolean
default:false
include_meetings
boolean
default:false
include_claims
boolean
default:false

Response

Successful Response

answer
string
required
citations
Citation · object[]
required
entities_mentioned
EntityRef · object[]
claims_used
ClaimRef · object[]
debug
Debug · object